Bug 1916853 - cluster will not gracefully recover if openshift-etcd namespace is removed
Summary: cluster will not gracefully recover if openshift-etcd namespace is removed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks: 1917411
TreeView+ depends on / blocked
 
Reported: 2021-01-15 16:45 UTC by Sam Batschelet
Modified: 2021-02-24 15:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: if the openshift-etcd namespace is deleted the endpoints cm resource will not be recreated Consequence: the cluster will not recover. Fix: recreate endpoints configmap if missing Result: cluster will recover.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:53:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 525 0 None closed Bug 1916853: pkg/operator: ensure etcd endpoints cm 2021-02-18 04:26:27 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:54:18 UTC

Description Sam Batschelet 2021-01-15 16:45:29 UTC
Description of problem: cluster-etcd-operator does not recreate the etcd-endpoints cm in the case where openshift-etcd namespace is deleted. Resolution to this issue requires a manual step.


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. delete openshift-etcd namespace
2. observe configmaps in openshift-etcd
3. 

Actual results: configmap is not automatically recreated.


Expected results: resource is properly replaced by the operator.


Additional info:

Comment 5 errata-xmlrpc 2021-02-24 15:53:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.